import 'package:flutter/material.dart';

import 'colors/app_colors.dart';

class AppTextStyles {
  AppTextStyles._();

  static const profileCategory = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 16,
    fontWeight: FontWeight.w500,
  );
  static const titleBig = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 24,
    fontWeight: FontWeight.w700,
  );
  static const authTitle = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 20,
    fontWeight: FontWeight.w700,
  );
  static const timer = TextStyle(
    color: ThemeColors.timerRed,
    fontSize: 12,
    fontWeight: FontWeight.w400,
  );
  static const categoryName = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 14,
    fontWeight: FontWeight.w500,
    height: 1,
    letterSpacing: 0,
  );
  static const bigTitle = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 20,
    fontWeight: FontWeight.w600,
  );
  static const orderTimer = TextStyle(
    color: ThemeColors.timerRed,
    fontSize: 16,
    fontWeight: FontWeight.w400,
  );
  static const timerStyle = TextStyle(
    color: ThemeColors.timerRed,
    fontSize: 16,
    fontWeight: FontWeight.w400,
  );
  static const saleRed = TextStyle(
    color: ThemeColors.timerRed,
    fontSize: 16,
    fontWeight: FontWeight.w700,
  );
  static const timerDesc = TextStyle(
    color: ThemeColors.timerRed,
    fontSize: 16,
    fontWeight: FontWeight.w600,
  );
  static const statusText = TextStyle(
    color: LightThemeColors.buttonColorText,
    fontSize: 13,
    fontWeight: FontWeight.w600,
  );

  static const language = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 14,
    fontWeight: FontWeight.w400,
  );
  static const languageBig = TextStyle(
    color: LightThemeColors.white,
    fontSize: 16,
    fontWeight: FontWeight.w500,
    letterSpacing: 0,
  );

  static const authDesc = TextStyle(
    color: LightThemeColors.secondaryText,
    fontSize: 14,
    fontWeight: FontWeight.w400,
  );
  static const timerBlue = TextStyle(
    color: LightThemeColors.primaryColor,
    fontSize: 14,
    fontWeight: FontWeight.w500,
  );
  static const orderListTitle = TextStyle(
    color: LightThemeColors.black40Transparent,
    fontSize: 10,
    fontWeight: FontWeight.w500,
    height: 1,
  );
  static const status = TextStyle(
    color: ThemeColors.green173text,
    fontSize: 14,
    fontWeight: FontWeight.w600,
    height: 1,
    letterSpacing: 0,
  );
  static const orderTitle = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 16,
    fontWeight: FontWeight.w700,
  );
  static const statusNumber = TextStyle(
    color: LightThemeColors.statusNumber,
    fontSize: 12,
    fontWeight: FontWeight.w400,
  );
  static const statusDesc = TextStyle(
    color: LightThemeColors.textColor,
    fontSize: 12,
    fontWeight: FontWeight.w600,
  );
  static const secondaryText14 = TextStyle(
    color: LightThemeColors.lightSecondary,
    fontSize: 14,
    fontWeight: FontWeight.w500,
  );
}
